## loci.formats
Class ComboFileFilter

    java.lang.Object
      javax.swing.filechooser.FileFilter
          loci.formats.ComboFileFilter

All Implemented Interfaces:
  Comparable, FileFilter

Direct Known Subclasses:
  ComboFileFilter

public class ComboFileFilter
extends FileFilter
implements FileFilter, Comparable

A file filter that recognizes files from a union of other filters.

Constructor Summary
`ComboFileFilter(FileFilter[] filters, String description)` construct a new filter from a list of other filters

Method Summary
`boolean` `accept(File f)` accept files with the proper filename prefix
`int` `compareTo(Object o)` Compares two FileFilter objects alphanumerically.
`String` `getDescription()` return the filter's description
`static FileFilter[]` `sortFilters(FileFilter[] filters)` Sorts the given list of file filters, and combines filters with identical descriptions into a combination filter that accepts anything any of its constituant filters do.
`static FileFilter[]` `sortFilters(Vector filters)` Sorts the given list of file filters, and combines filters with identical descriptions into a combination filter that accepts anything any of its constituant filters do.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ComboFileFilter

    public ComboFileFilter(FileFilter[] filters,
                           String description)

  construct a new filter from a list of other filters

Method Detail

### sortFilters

    public static FileFilter[] sortFilters(FileFilter[] filters)

  Sorts the given list of file filters, and combines filters with identical descriptions into a combination filter that accepts anything any of its constituant filters do.

### sortFilters

    public static FileFilter[] sortFilters(Vector filters)

  Sorts the given list of file filters, and combines filters with identical descriptions into a combination filter that accepts anything any of its constituant filters do.

### accept

    public boolean accept(File f)

  accept files with the proper filename prefix

  Specified by:
    `accept` in interface `FileFilter`

### getDescription

    public String getDescription()

  return the filter's description

### compareTo

    public int compareTo(Object o)

  Compares two FileFilter objects alphanumerically.

  Specified by:
    `compareTo` in interface `Comparable`